Skip to main content
`Ctrl`+`K`

# TaoTermCreateShell

Create a `TaoTerm` of type `TAOTERMSHELL` that is ready to accept user-provided callback operations.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermCreateShell(MPI_Comm comm, PetscCtx ctx, PetscCtxDestroyFn *destroy, TaoTerm *term)

Collective

## Input Parameters

- comm - the MPI communicator for computing the term

- ctx - (optional) a context to be used by routines

- destroy - (optional) a routine to destroy the context when `term` is destroyed

## Output Parameter

- term - a `TaoTerm` of type `TAOTERMSHELL`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSHELL`

## Level

intermediate

## Location

src/tao/term/impls/shell/taotermshell.c

## Examples

src/tao/unconstrained/tutorials/rosenbrock1_taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages